-------------------------------------------------------------------------------
--     ____  _____          __    __    ________    _______
--    |    | \    \        |   \ |  |  |__    __|  |   __  \
--    |____|  \____\       |    \|  |     |  |     |  |__>  ) 
--     ____   ____         |  |\ \  |     |  |     |   __  <
--    |    | |    |        |  | \   |     |  |     |  |__>  )
--    |____| |____|        |__|  \__|     |__|     |_______/
--
--    INTERSTATE UNIVERSITY OF AAPLIED SCIENCES OF TECHNOLOGY
--
--    Campus Buchs - Werdenbergstrasse 4 - CH-9471 Buchs
--    Campus Waldau - Schoenauweg4 - CH9013 St. Gallen
--
--    Tel. +41 (0)81 755 33 11   Fax +41 (0)81 756 54 34
--
-------------------------------------------------------------------------------
-- Project : 	DE2-115 Board Support Package
-- Unit    : 	de2_115_start.e.vhd
-- Author  : 	Laszlo Arato
-- Created : 	October 2011
-------------------------------------------------------------------------------
-- Copyright(C) 2011: Interstate University of Applied Sciences NTB, Buchs
-- Licensed under BSL-1.0 (Boost Software License). See end of file for details.
-------------------------------------------------------------------------------

LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;
USE IEEE.numeric_std.ALL;

USE work.de2_115_start_pkg.ALL;
--	Use what you need, and cut away the rest


ARCHITECTURE dummy OF de2_115_start IS

BEGIN
	main_proc : PROCESS (isl_clock_50)
	BEGIN
		IF rising_edge(isl_clock_50) THEN
			oslv18_red_led	<= islv18_switch;
		END IF;
	END PROCESS main_proc;
	
	oslv9_green_led(3 DOWNTO 0)	<= islv4_key_n;
	oslv9_green_led(8 DOWNTO 6)	<= islv4_key_n(2 DOWNTO 0);
	osl_sma_clkout				<= isl_sma_clkin;
	oslv9_green_led(4)			<= isl_clock2_50;
	oslv9_green_led(5)			<= isl_clock3_50;
	
	or_uart_out.sl_txd			<= ir_uart_in.sl_rxd;
	or_uart_out.sl_cts			<= ir_uart_in.sl_rts;

END ARCHITECTURE dummy;

	
-------------------------------------------------------------------------------
-- Boost Software License 1.0 (BSL-1.0)
--
-- Permission is hereby granted, free of charge, to any person or organization 
-- obtaining a copy of the software and accompanying documentation covered by 
-- this license (the "Software") to use, reproduce, display, distribute, 
-- execute, and transmit the Software, and to prepare derivative works of the
-- Software, and to permit third-parties to whom the Software is furnished to 
-- do so, all subject to the following:
--
-- The copyright notices in the Software and this entire statement, including 
-- the above license grant, this restriction and the following disclaimer, must
-- be included in all copies of the Software, in whole or in part, and all 
-- derivative works of the Software, unless such copies or derivative works are
-- solely in the form of machine-executable object code generated by a source 
-- language processor.
--
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
-- IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
-- FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
-- SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE 
-- FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, 
-- ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
-- DEALINGS IN THE SOFTWARE.
--
-------------------------------------------------------------------------------