##-------------------------------------------------------------------------------
##     ____  _____          __    __    ________    _______
##    |    | \    \        |   \ |  |  |__    __|  |   __  \
##    |____|  \____\       |    \|  |     |  |     |  |__>  ) 
##     ____   ____         |  |\ \  |     |  |     |   __  <
##    |    | |    |        |  | \   |     |  |     |  |__>  )
##    |____| |____|        |__|  \__|     |__|     |_______/
##
##    INTERSTATE UNIVERSITY OF AAPLIED SCIENCES OF TECHNOLOGY
##
##    Campus Buchs - Werdenbergstrasse 4 - CH-9471 Buchs
##    Campus Waldau - Schoenauweg4 - CH9013 St. Gallen
##
##    Tel. +41 (0)81 755 33 11   Fax +41 (0)81 756 54 34
##
##-------------------------------------------------------------------------------
#-- Project : 	DE2-115 Board Support Package
#-- Unit    : 	de2-115_start.sdc
#-- Author  : 	Laszlo Arato
#-- Created : 	October 2011
#-------------------------------------------------------------------------------
#-- Copyright(C) 2011: Interstate University of Applied Sciences NTB, Buchs
#-- Licensed under BSL-1.0 (Boost Software License). See end of file for details.
#-------------------------------------------------------------------------------


# Constrain clock port clk with a 10-ns requirement and 0.3ns jitter
create_clock -period 20 [get_ports isl_clock_50]
create_clock -period 20 [get_ports isl_clock2_50]
create_clock -period 20 [get_ports isl_clock3_50]

# Specify clock uncertainty (jitter)
set_clock_uncertainty 0.3ns -to isl_clock_50
set_clock_uncertainty 0.3ns -to isl_clock2_50
set_clock_uncertainty 0.3ns -to isl_clock3_50

# Automatically apply a generate clock on the output of phase-locked loops (PLLs)
# This command can be safely left in the SDC even if no PLLs exist in the design
derive_pll_clocks

# Constrain the input I/O path
set_input_delay -clock isl_clock_50 -max 3 [all_inputs]
set_input_delay -clock isl_clock_50 -min 2 [all_inputs]

# Constrain the output I/O path
set_output_delay -clock isl_clock_50 2 [all_outputs] 


#-------------------------------------------------------------------------------
#-- Boost Software License 1.0 (BSL-1.0)
#--
#-- Permission is hereby granted, free of charge, to any person or organization 
#-- obtaining a copy of the software and accompanying documentation covered by 
#-- this license (the "Software") to use, reproduce, display, distribute, 
#-- execute, and transmit the Software, and to prepare derivative works of the
#-- Software, and to permit third-parties to whom the Software is furnished to 
#-- do so, all subject to the following:
#--
#-- The copyright notices in the Software and this entire statement, including 
#-- the above license grant, this restriction and the following disclaimer, must
#-- be included in all copies of the Software, in whole or in part, and all 
#-- derivative works of the Software, unless such copies or derivative works are
#-- solely in the form of machine-executable object code generated by a source 
#-- language processor.
#--
#-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
#-- IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
#-- FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
#-- SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE 
#-- FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, 
#-- ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
#-- DEALINGS IN THE SOFTWARE.
#--
#-------------------------------------------------------------------------------